Subject: RE: Paging Functional Architecture ( was: RE: [seamoby] L2/L3 Pag ing)

From: "Glenn Morrow" <[email-masked]>
Date: Thu, 29 Mar 2001 11:28:58 -0600

Erik,

Comments below.

-----Original Message-----
From: Erik Anderlind [mailto:[email-masked]]
Sent: Wednesday, March 28, 2001 1:23 PM
To: [email-masked]
Subject: Re: Paging Functional Architecture ( was: RE: [seamoby] L2/L3
Paging)

Glenn,
We need to be careful in defining functional entities such as the paging
and 
tracking agent - we do not want to preclude that these functions could
be 
provided in a distributed way (e.g. a subset of routers all implement
the function.)

GM] Yes to some extent - if we ever want to get rid of single point of
failure and true mobile routing within specific sites this is immanent. 

I also disagree that it is a requirement that the paging agent has to be
at 
the "last hop" edge in all cases.

GM] Sounds more like a good suggestion than a disagreement really. Seems to
me that some technologies which are considered MAC/LAC etc.. are beginning
to use IP transports - makes sense. The blur between L2/L3 is dependent on
what the L2 in question can do. This is mainly due to the fact some some
L1/L2s do more than others. I'm not sure what the reaction will be on this,
though. It seems that the mobies want to go all the way here. Tell me your
opinion on this question. If the IETF defines IP-based PDUs that essentially
implements, in some generic access independent manner, the power control
mechanisms such as paging that used to be considered L2 functions on
particular access technologies, will they have simply defined a new L2 or
will they have built some generic form of these functions into IP(L3)? This
has been racking my brain a bit over the years. It seems to me that even
wireline NIC cards might benefit from such power control mechanisms -
especially in blackout land. I do agree personally that there should be an
option to remote the paging agent. I think some will argue that we might be
designing an L2 technology that uses IP transport in that case. I'm
personally O.K. with it and still see the benefits from an L3 mechanisms
point of view - assuming it does not force us into a single point of
failure. 

Another useful entity is correspondent node/application that initiates
the higher level 
need for paging. It will help identify requiremnts around how the other
different 
entities are located and addressed (if needed).
..Erik

GM] It would be good to explain that paging is a geographic node mobility
problem and explain the interactions with: applications which provide user
mobility, location services, network resolution services, etc.. How the
addressing of user differs from nodes, etc.. I think that is what you were
trying to say. I think we might hear from some "scope" police on this,
though.  Clearly, somewhere this information should be documented in at
least an informational RFC. Perhaps the "why" questions should be answered
in such a document as well. If I have misinterpreted, please let me know.

Thanks,

Glenn

---

From: Yoshihiro Ohba <[email-masked]>
Date: Thu, 29 Mar 2001 15:48:42 -0500

At Thu, 29 Mar 2001 11:28:58 -0600,
Glenn Morrow <[email-masked]> wrote:
> 
> [1  <text/plain; iso-8859-1 (7bit)>]
> 
> [2  <text/html; iso-8859-1 (quoted-printable)>]
> 
> 
> Erik,
> 
> Comments below.
> 
> GM] Yes to some extent - if we ever want to get rid of single point of failure
> and true mobile routing within specific sites this is immanent.
> 
> GM] Sounds more like a good suggestion than a disagreement really. Seems to me
> that some technologies which are considered MAC/LAC etc.. are beginning to use
> IP transports - makes sense. The blur between L2/L3 is dependent on what the
> L2 in question can do. This is mainly due to the fact some some L1/L2s do more
> than others. I'm not sure what the reaction will be on this, though. It seems
> that the mobies want to go all the way here. Tell me your opinion on this
> question. If the IETF defines IP-based PDUs that essentially implements, in
> some generic access independent manner, the power control mechanisms such as
> paging that used to be considered L2 functions on particular access
> technologies, will they have simply defined a new L2 or will they have built
> some generic form of these functions into IP(L3)? This has been racking my
> brain a bit over the years. It seems to me that even wireline NIC cards might
> benefit from such power control mechanisms - especially in blackout land. I do

When we talk about power control mechanisms for wireline NIC cards,
the wirelined host may not necessarily be a mobile node.  On the other
hand, it seems to me that the paging discussed in this WG is tightly
coupled with mobility (Mobile IP).  Is it out of scope to discuss a
generic paging mechanism which can be used for both mobile and stable
nodes?

Regards,
Yoshihiro Ohba

> agree personally that there should be an option to remote the paging agent. I
> think some will argue that we might be designing an L2 technology that uses IP
> transport in that case. I'm personally O.K. with it and still see the benefits
> from an L3 mechanisms point of view - assuming it does not force us into a
> single point of failure.
> 
> 
> though.  Clearly, somewhere this information should be documented in at least
> an informational RFC. Perhaps the "why" questions should be answered in such a
> document as well. If I have misinterpreted, please let me know.
> 
> Thanks,
> 
> Glenn
>

---

From: Michael Thomas <[email-masked]>
Date: Fri, 30 Mar 2001 14:13:39 -0800 (PST)

> generic paging mechanism which can be used for both mobile and stable

   No. I think that's an excellent requirement.

   Especially here in California.

		  Mike